<?php
function smarty_function_xoops_multimenu($params, &$smarty)
{
	require_once XOOPS_ROOT_PATH.'/modules/multiMenu/blocks/multimenu.php' ;

	$table_name = empty( $params['menu'] ) ? 'multimenu01' : 'multimenu'.sprintf('%02d',$params['menu']) ;

	$block = getMultiMenu( array(100) , 'multimenu'.sprintf('%02d',$params['menu']) ) ;

	$main_items = array() ;
	$sub_items = array() ;
	foreach( $block['contents'] as $item ) {
		$main_items[] = array(
			'title' => $item['title'] ,
			'link' => $item['link'] ,
			'target' => $item['target']
		) ;
		foreach( $item['sublinks'] as $subitem ) {
			$sub_items[] = array(
				'title' => $subitem['name'] ,
				'link' => $subitem['url']
			) ;
		}
	}
	$smarty->assign('main_menu',$main_items);
	$smarty->assign('sub_menu',$sub_items);
}
?>
